function v=ricerand(m,n,tot,kappa)
%RICERAND  V=RICERAND(M,N,TOT,KAPPA) generates an MxN matrix V of random 
%	   numbers following the Rice distribution with parameters TOT (total
%	   power) and KAPPA (Rice factor = dominant/scattered power ratio).

scatter = tot/(1.0+kappa);
dom = tot-scatter;

v=(scatter*randn(m,n).^2+(sqrt(scatter)*randn(m,n)+sqrt(2*dom)).^2)/2;
%essendo il valor quadratico medio di randn unitario
%risulta E[v]=scatter+dom=tot;
